package com.njcn.gather.detection.pojo.enums;

import lombok.Getter;

/**
 * @author caozehui
 * @data 2025-08-13
 */
@Getter
public enum ResultEnum {
    QUALIFIED(1, "符合"),
    NOT_QUALIFIED(2, "不符合"),
    NETWORK_TIMEOUT(3, "网络超时"),
    NO_ERROR_SYS(4, "不在误差条件范围内"),
    NO_COMPARE_ERROR_SYS(5, "不参与误差比较");

    private int value;
    private String msg;

    ResultEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }
}
